/*
 * camera.h - This file contains the defines for camera routines etc.
 *
 *  $Id: camera.h,v 1.12 2001/08/19 06:57:41 johns Exp $
 */

void camera_init(scenedef *);
void camray_init(scenedef *, ray *, unsigned long, unsigned long *);
void camerasetup(camdef *, flt, vector, vector, vector);
void cameraposition(camdef * camera, vector center, vector viewvec, 
                    vector upvec);
void getcameraposition(camdef * camera, vector * center, vector * viewvec, 
                    vector * upvec, vector *rightvec);
color cam_orthographic_ray(ray *, flt, flt);
color cam_perspective_ray(ray *, flt, flt);
color cam_aa_perspective_ray(ray *, flt, flt);


